/**
 * Available config options for end user when making a given request.
 */
export interface AjaxRequestConfig extends Pick<JQuery.AjaxSettings, "complete" | "beforeSend" | "headers" | "statusCode" | "timeout"> {
    /**
     * Add query params.
     */
    params?: Record<string, string | number | boolean | Array<string | number | boolean>>;
}
export interface InternalRequestConfig extends JQuery.AjaxSettings, Pick<AjaxRequestConfig, "params"> {
}
export declare function getDefaultConfig(config?: AjaxRequestConfig): InternalRequestConfig;
export declare function mergeAjaxConfig(config?: JQuery.AjaxSettings, toMerge?: JQuery.AjaxSettings): InternalRequestConfig;
